Fix build with older CMake versions that we still need to support.
authorBrecht Van Lommel <brechtvanlommel@gmail.com>
Wed, 3 Oct 2018 10:54:21 +0000 (12:54 +0200)
committerBrecht Van Lommel <brechtvanlommel@gmail.com>
Wed, 3 Oct 2018 10:55:43 +0000 (12:55 +0200)
intern/guardedalloc/CMakeLists.txt

index 7f648cff27c8c97af931512e21800ec8efc7a82b..3cec2fd101662ea1736de6429b2b4dd858763f12 100644 (file)
@@ -54,7 +54,7 @@ if(WIN32 AND NOT UNIX)
 endif()
 
 # Jemalloc 5.0.0+ needs extra configuration.
-if(WITH_MEM_JEMALLOC AND ("${JEMALLOC_VERSION}" VERSION_GREATER_EQUAL "5.0.0"))
+if(WITH_MEM_JEMALLOC AND NOT ("${JEMALLOC_VERSION}" VERSION_LESS "5.0.0"))
        add_definitions(-DWITH_JEMALLOC_CONF)
 endif()